local L;

locale = "enUS";
--[[ ---------------------------------------------------------------------- ]]--
--[[ ----------------------- ENGLISH LOCALE STRINGS ----------------------- ]]--
--[[ ---------------------------------------------------------------------- ]]--
L = LibStub("AceLocale-3.0"):NewLocale("Short term", locale, true);
L["DISCLAIMER"] = "Please note that some of the option descriptions are not meant entirely serious..."
L["SHORT_TERM_MEMORY"] = "Short term memory"
L["GENERAL"] = "General"
L["BACKLOG_LENGTH"] = "Short term memory size"
L["BACKLOG_LENGTH_DESC"] = "The number of messages you want to remember. Changing this value will only take effect after reload."
L["BACKLOG_TIME"] = "Maximum short term memory decay"
L["BACKLOG_TIME_DESC"] = "The number of hours after which you consider your short term memory outdated and you just don't care to remember|nSet this to zero to remember indefinitely"
L["SHOW_FRAGMENTS"] = "Show fragmented memory"
L["SHOW_FRAGMENTS_DESC"] = "Set to enable the showing of fragments of older memory. This is a 'gag' feature that is possible due to the way the logging functions are programmed.|nHowever, due to this there is no performance drawback at all."
L["TYPES"] = "Types"
L["TYPES_DESC"] = "Choose which message types you want to remember. The defaults are usually quite fine though."
L["TYPES2"] = "Message types"
L["ADDGROUP"] = "Add message group"
L["ADDGROUP_DESC"] = ""
L["MSGGROUP_DEFAULT"] = "Default Messages"
L["MSGGROUP_BATTLENET"] = "battle.net"
L["BNWHISP_CONV"] = "Battle.net Whisper behaviour"
L["BNWHISP_CONV_DESC"] = "In this setting you can decide what you want ShortTerm to do when it encounters a battle.net whisper message. As there is no way of either finding out the real name of a person or at least make WoW store it permanently, you will most certainly get a lot of conversations with 'Unknown', this setting might help."
L["BNWHISP_CONV_NOCHANGE"] = "Leave as is"
L["BNWHISP_CONV_NOCHANGE_DESC"] = "Does not change any info from the whisper. In this mode, older conversations (especially after Realm restarts) might show your conversation partner(s) as \"[Unknown]\""
L["BNWHISP_CONV_TOWHISP"] = "Convert to whisper"
L["BNWHISP_CONV_TOWHISP_DESC"] = "Converts the battle.net whisper to a normal whisper. The name of the user's currently active character is shown as the name. This can yield unexpected results when chatting cross-game."
L["BNWHISP_CONV_NICKNAME"] = "Nickname"
L["BNWHISP_CONV_NICKNAME_DESC"] = "Nickname"
L["BNWHISP_CONV_DIRECT"] = "Writes the message directly to the chat frame instead of using blizzard's handler and substitutes the name with a Nickname that is taken from the Prat. Links that would be \"Unknown\" will still"
L["BNWHISP_EXPANDPRAT"] = "Fill Prat Database"
L["BNWHISP_EXPANDPRAT_DESC"] = "Check this to fill Prat's AltNames database. Using the battle.net friends feature it is possible to (over time) correlate most characters of a player together. Currently only the 'Nickname' mode supports this setting.|nSome addons (namely Prat, Chatter, WIM, etc.) might not be able to format the message."
L["MEMORY_END"] = "--[[|cFFFF5500End of short term memory|r]]--"

L = LibStub("AceLocale-3.0"):NewLocale("Short term message groups", locale, true);
L["ACHIEVEMENT"] = "Achievement Announce"
L["AFK"] = "AFK"
L["BATTLEGROUND"] = "Battleground"
L["BATTLEGROUND_LEADER"] = "Battleground Leader"
L["BG_ALLIANCE"] = "Alliance zone message"
L["BG_HORDE"] = "Horde zone message"
L["BG_NEUTRAL"] = "Neutral zone message"
L["CHANNEL"] = "Channel"
L["COMBAT_FACTION_CHANGE"] = "Faction"
L["COMBAT_HONOR_GAIN"] = "Honor Gain"
L["COMBAT_MISC_INFO"] = "Misc Combat"
L["COMBAT_XP_GAIN"] = "Experience Gain"
L["DND"] = "DND"
L["EMOTE"] = "Emote"
L["ERRORS"] = "Errors"
L["GUILD"] = "Guild"
L["GUILD_ACHIEVEMENT"] = "Guild Announce"
L["GUILD_OFFICER"] = "Officer"
L["IGNORED"] = "Ignore"
L["LOOT"] = "Item Loot"
L["MONEY"] = "Money Loot"
L["MONSTER_BOSS_EMOTE"] = "Raid Boss Emote"
L["MONSTER_BOSS_WHISPER"] = "Raid Boss Whisper"
L["MONSTER_EMOTE"] = "Creature Emote"
L["MONSTER_SAY"] = "Creature Say"
L["MONSTER_WHISPER"] = "Creature Whisper"
L["MONSTER_YELL"] = "Creature Yell"
L["OPENING"] = "Opening"
L["PARTY"] = "Party"
L["PET_INFO"] = "Pet"
L["RAID"] = "Raid"
L["RAID_LEADER"] = "Raid Leader"
L["RAID_WARNING"] = "Raid Warning"
L["SAY"] = "Say"
L["SKILL"] = "Skill"
L["TRADESKILLS"] = "Trade Skill"
L["WHISPER"] = "Whisper"
L["YELL"] = "Yell"
L["SYSTEM"] = "System"
L["BN_WHISPER"] = "Battle.net whispers"
L["BN_CONVERSATION"] = "Battle.net conversation messages"
L["BN_TOAST"] = "Battle.net status messages ('Toast')"

locale = "deDE";
--[[ ---------------------------------------------------------------------- ]]--
--[[ ----------------------- GERMAN  LOCALE STRINGS ----------------------- ]]--
--[[ ---------------------------------------------------------------------- ]]--
L = LibStub("AceLocale-3.0"):NewLocale("Short term", locale, true);
L["DISCLAIMER"] = "Manche der Beschreibungen und Bezeichnungen der Einstellungen sind nicht so ganz ernst gemeint..."
L["SHORT_TERM_MEMORY"] = "Kurzzeitgedächtnis"
L["GENERAL"] = "Allgemein"
L["BACKLOG_LENGTH"] = "Kurzzeitgedächtnislänge"
L["BACKLOG_LENGTH_DESC"] = "Die Anzahl an zu merkenden Mitteilungen"
L["BACKLOG_TIME"] = "Kurzzeitgedächtnisverfall"
L["BACKLOG_TIME_DESC"] = "Die Anzahl an Stunden nach denen du dein Kurzzeitgedächtnis als veraltet empfindest und dich einfach nicht mehr erinnern möchtest!|nAuf Null setzen um dich beliebig lange zu erinnern..."
L["SHOW_FRAGMENTS"] = "Zeige bruchstückhafte Erinnerungen"
L["SHOW_FRAGMENTS_DESC"] = "Set to enable the showing of fragments of older memory. This is a 'gag' feature that is possible due to the way the logging functions are programmed.|nHowever, due to this there is no performance drawback at all."
L["TYPES"] = "Typen"
L["TYPES_DESC"] = "Wähle aus welche Nachrichten du merken möchtest. Die Standardwerte sind im Normalfall jedoch ausreichend."
L["TYPES2"] = "Typen"

L = LibStub("AceLocale-3.0"):NewLocale("Short term message groups", locale, true);
L["ACHIEVEMENT"] = "Erfolge"
L["AFK"] = "AFK"
L["BATTLEGROUND"] = "Schlachtzug"
L["BATTLEGROUND_LEADER"] = "Schlachtzugsleiter"
L["BG_ALLIANCE"] = "Allianz Zonen-Nachrichten"
L["BG_HORDE"] = "Horde Zonen-Nachrichten"
L["BG_NEUTRAL"] = "Neutrale Zonen-Nachrichten"
L["CHANNEL"] = "Kanal"
L["COMBAT_FACTION_CHANGE"] = "Fraktion"
L["COMBAT_HONOR_GAIN"] = "Ehre"
L["COMBAT_MISC_INFO"] = "Kampfinfo"
L["COMBAT_XP_GAIN"] = "Erfahrungsgewinn"
L["DND"] = "DND"
L["EMOTE"] = "Emote"
L["ERRORS"] = "Errors"
L["GUILD"] = "Guild"
L["GUILD_ACHIEVEMENT"] = "Guild Announce"
L["GUILD_OFFICER"] = "Officer"
L["IGNORED"] = "Ignore"
L["LOOT"] = "Item Loot"
L["MONEY"] = "Money Loot"
L["MONSTER_BOSS_EMOTE"] = "Raid Boss Emote"
L["MONSTER_BOSS_WHISPER"] = "Raid Boss Whisper"
L["MONSTER_EMOTE"] = "Creature Emote"
L["MONSTER_SAY"] = "Creature Say"
L["MONSTER_WHISPER"] = "Creature Whisper"
L["MONSTER_YELL"] = "Creature Yell"
L["OPENING"] = "Opening"
L["PARTY"] = "Party"
L["PET_INFO"] = "Pet"
L["RAID"] = "Raid"
L["RAID_LEADER"] = "Raid Leader"
L["RAID_WARNING"] = "Raid Warning"
L["SAY"] = "Say"
L["SKILL"] = "Skill"
L["TRADESKILLS"] = "Trade Skill"
L["WHISPER"] = "Whisper"
L["YELL"] = "Yell"
L["SYSTEM"] = "System"
L["BN_WHISPER"] = "Battle.net whispers"
L["BN_CONVERSATION"] = "Battle.net conversation messages"
L["BN_TOAST"] = "Battle.net status messages (\'Toast\') "

locale = "koKR";
--[[ ---------------------------------------------------------------------- ]]--
--[[ ----------------------- KOREAN  LOCALE STRINGS ----------------------- ]]--
--[[ ---------------------------------------------------------------------- ]]--
L = LibStub("AceLocale-3.0"):NewLocale("Short term message groups", locale, true);
--[[{
	ACHIEVEMENT = "업적 알림",
	AFK = "자리비움",
	BATTLEGROUND = "전장",
	BATTLEGROUND_LEADER = "전장 지휘관",
	BG_ALLIANCE = "전장 얼라이언스 지역 메시지",
	BG_HORDE = "전장 호드 지역 메시지",
	BG_NEUTRAL = "전장 중립 지역 메시지",
	-- BN_CONVERSATION = "",
	-- BN_TOAST = "",
	-- BN_WHISPER = "",
	CHANNEL = "사설 채널",
	COMBAT_FACTION_CHANGE = "평판",
	COMBAT_HONOR_GAIN = "명예점수 획득",
	COMBAT_MISC_INFO = "전투 관련",
	COMBAT_XP_GAIN = "경험치 획득",
	DND = "다른 용무중",
	EMOTE = "감정 표현",
	ERRORS = "오류",
	GUILD = "길드",
	GUILD_ACHIEVEMENT = "길드 알림메시지",
	GUILD_OFFICER = "길드관리자 채널",
	IGNORED = "차단",
	LOOT = "아이템 획득",
	MONEY = "돈 획득",
	MONSTER_BOSS_EMOTE = "공격대 보스 감정표현",
	MONSTER_BOSS_WHISPER = "공격대 보스 귓속말",
	MONSTER_EMOTE = "NPC - 감정표현",
	MONSTER_SAY = "NPC - 대화",
	MONSTER_WHISPER = "NPC - 귓속말",
	MONSTER_YELL = "NPC - 외침",
	-- OPENING = "",
	PARTY = "파티",
	PET_INFO = "소환수 정보",
	RAID = "공격대",
	RAID_LEADER = "공격대장",
	RAID_WARNING = "공격대 경보",
	SAY = "일반 대화",
	SKILL = "숙련",
	SYSTEM = "시스템 메시지",
	TRADESKILLS = "전문 기술",
	WHISPER = "귓속말",
	YELL = "외치기",
}
]]
L["ACHIEVEMENT"] = "업적 알림"
L["AFK"] = "자리비움"
L["BATTLEGROUND"] = "전장"
L["BATTLEGROUND_LEADER"] = "전장 지휘관"
L["BG_ALLIANCE"] = "전장 얼라이언스 지역 메시지"
L["BG_HORDE"] = "전장 호드 지역 메시지"
L["BG_NEUTRAL"] = "전장 중립 지역 메시지"
L["CHANNEL"] = "사설 채널"
L["COMBAT_FACTION_CHANGE"] = "평판"
L["COMBAT_HONOR_GAIN"] = "명예점수 획득"
L["COMBAT_MISC_INFO"] = "전투 관련"
L["COMBAT_XP_GAIN"] = "경험치 획득"
L["DND"] = "다른 용무중"
L["EMOTE"] = "감정 표현"
L["ERRORS"] = "오류"
L["GUILD"] = "길드"
L["GUILD_ACHIEVEMENT"] = "길드 알림메시지"
L["GUILD_OFFICER"] = "길드관리자 채널"
L["IGNORED"] = "차단"
L["LOOT"] = "아이템 획득"
L["MONEY"] = "돈 획득"
L["MONSTER_BOSS_EMOTE"] = "공격대 보스 감정표현"
L["MONSTER_BOSS_WHISPER"] = "공격대 보스 귓속말"
L["MONSTER_EMOTE"] = "NPC - 감정표현"
L["MONSTER_SAY"] = "NPC - 대화"
L["MONSTER_WHISPER"] = "NPC - 귓속말"
L["MONSTER_YELL"] = "NPC - 외침"
-- L["OPENING"] = ""
L["PARTY"] = "파티"
L["PET_INFO"] = "소환수 정보"
L["RAID"] = "공격대"
L["RAID_LEADER"] = "공격대장"
L["RAID_WARNING"] = "공격대 경보"
L["SAY"] = "일반 대화"
L["SKILL"] = "숙련"
L["SYSTEM"] = "시스템 메시지"
L["TRADESKILLS"] = "전문 기술"
L["WHISPER"] = "귓속말"
L["YELL"] = "외치기"
--/run local I,n=1;for i=1,12 do I=I+(GetSendMailItem(i)and 1 or 0)i,n=GameTooltip:GetItem()n=n:match"Hitem:%d+:"end for b=0,4 do for s=1,22 do if(GetContainerItemLink(b,s)or""):find(n)then PickupContainerItem(b,s)ClickSendMailItemButton(I)I=I+1 end end end
